Update Task Metadata (Legacy)
curl --request PUT \
--url https://api.anchorbrowser.io/v1/task/{taskId} \
--header 'Content-Type: application/json' \
--header 'anchor-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.anchorbrowser.io/v1/task/{taskId}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"anchor-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'anchor-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.anchorbrowser.io/v1/task/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest": "<string>",
"deleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Tasks (Legacy)
Update Task Metadata (Legacy)
Updates task metadata (name and description). This does not affect the task code or versions.
If you are using the new Task Builder, see the non-deprecated Tasks endpoints in this API reference.
PUT
/
v1
/
task
/
{taskId}
Update Task Metadata (Legacy)
Authorizations
API key for your Anchor Browser account, sent as the anchor-api-key header on every
request. Create one at app.anchorbrowser.io (API Access),
or obtain one programmatically via the unauthenticated agent-access flow
(POST /v1/agent-access).
Path Parameters
The ID of the task to update
Body
application/json
Response
Task metadata updated successfully
Show child attributes
Show child attributes
Was this page helpful?

